/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  display: flex;
  flex-flow: column;
  width: 100%;
  position: relative;
  overflow: auto;
  box-sizing: border-box;
  border: 1px solid $openk-form-border;
  border-radius: 4px;
  background: $openk-background-card;
  padding-bottom: 2px;
}

.openk-table---last-row-without-border:host {
  padding-bottom: 0;
}

.statement-table--icon--container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.statement-table--icon {
  width: initial;
  height: initial;
  font-size: 1em;
  color: $openk-form-border;
  padding-right: 0.2em;
  padding-left: 0.2em;
  font-weight: 1000;

  &.openk-success {
    color: get-color($openk-success-palette);
  }

  &.openk-warning {
    color: get-color($openk-warning-palette);
  }
}

.statement-table--row {
  font-style: italic;
}

.statement-table--select {
  width: 1em;
  vertical-align: center;
  text-align: center;
}

.statement-table--select--container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.statement-table--select--input {
  font-size: 1em;
  width: 1em;
  height: 1em;
}

.statement-table--id {
  width: 2em;
  text-align: right;
}

.statement-table--id--container {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.statement-table--id--icon {
  margin-right: auto;
}

.statement-table--title {
  width: 10em;
  text-align: left;
}

.statement-table--city,
.statement-table--district,
.statement-table--type {
  width: 6em;
  text-align: left;
}

.statement-table--date {
  width: 6em;
  text-align: left;
}

.statement-table--tasks {
  width: 12em;
  text-align: left;
}

.statement-table--contributions {
  width: 7em;
  text-align: center;
}

.statement-table--contributions--icon {
  transform: translateY(0.1em) scale(1.25);
}

.statement-table--contributions--icon---hidden {
  opacity: 0;
}

.statement-table--anchor {
  width: 1em;
  text-align: right;
  padding-right: 0.75em !important;
}

.statement-table--button {
  font-size: 0.7em;
}

.statement-table--header {
  display: flex;
  align-items: center;
  line-height: 1;
}

.statement-table--header---right {
  justify-content: flex-end;
}

.statement-table--header--icon {
  width: initial;
  height: initial;
  font-size: 1em;
  transform: rotate(90deg);
  line-height: 1;
  transition: transform 100ms ease-in-out;
}

.statement-table--header--icon---rotate {
  transform: rotate(270deg);
}
